include /etc/openldap/schema/core.schema
include /etc/openldap/schema/cosine.schema
include /etc/openldap/schema/inetorgperson.schema
include /etc/openldap/schema/nis.schema
include /etc/openldap/schema/misc.schema

pidfile   /run/openldap/slapd.pid
argsfile  /run/openldap/slapd.args

TLSCACertificateFile /etc/ssl/rootca.pem
TLSCertificateFile /etc/ssl/{{ inventory_hostname }}.pem
TLSCertificateKeyFile /etc/ssl/{{ inventory_hostname }}-key.pem
TLSDHParamFile /etc/ssl/{{ inventory_hostname }}-dh.pem
TLSCipherSuite EECDH+AESGCM:EDH+AESGCM:AES128+EECDH:AES128+EDH

modulepath  /usr/lib64/openldap/openldap
moduleload  back_mdb

database  mdb
directory /var/lib/slapd
maxsize   1073741824
suffix    "{{ slapdConfig['db']['mdb']['suffix'] }}"
rootdn    "cn=root,{{ slapdConfig['db']['mdb']['suffix'] }}"
rootpw    {{ slapdDbMdbPasswordHash['stdout'] }}

index     objectClass eq

database  config
rootdn    "cn=root,cn=config"
rootpw    {{ slapdDbConfigPasswordHash['stdout'] }}
